#!/bin/sh

SECC_HOME=$PWD/..


JAVA_HOME=<java_home>

JAVA_OPTS="-Dsecc.config=$SECC_HOME/config -Djava.util.logging.config.file=$SECC_HOME/bin/secclog.properties"

JAVA_EXEC=$JAVA_HOME/bin/java

FUNAMBOL_LIB="$SECC_HOME/lib/funambol-framework.jar:$SECC_HOME/lib/funambol-server.jar"

BEEP_LIB="$SECC_HOME/lib/beepcore.jar:$SECC_HOME/lib/concurrent.jar:$SECC_HOME/lib/beepsasl.jar:$SECC_HOME/lib/beeptls-jsse.jar:$SECC_HOME/lib/beeptls-ptls.jar:$SECC_HOME/lib/cryptix32.jar:$SECC_HOME/lib/cryptix-asn1.jar:$SECC_HOME/lib/puretls.jar:$SECC_HOME/lib/commons-logging.jar"

SECC_JAR="$SECC_HOME/lib/funambol-secc-3.0.5.jar"

export CLASSPATH=$FUNAMBOL_LIB:$BEEP_LIB:$SECC_JAR


$JAVA_EXEC $JAVA_OPTS -classpath $CLASSPATH com.funambol.enterprise.secc.s4jhost.S4jhStarter