@echo off

REM  Copyright (C) 2006 FUNAMBOL.
REM
REM  instructions:
REM  - set the JAVA_HOME
REM
REM

set SECC_HOME=%~dp0..

REM to be defined
REM -------------
set JAVA_HOME=<java_home>

REM jre
REM ---------
set JAVA_EXEC=%JAVA_HOME%\bin\java

REM options
REM ---------

REM stand-alone tool
set JAVA_OPTS=-Dsecc.config="%SECC_HOME%\config"

set JAVA_OPTS=%JAVA_OPTS% -Djava.util.logging.config.file="%SECC_HOME%/bin/secclog.properties"

REM classpath
REM ---------
REM stand-alone tool
set FUNAMBOL_LIB=%SECC_HOME%\lib\funambol-framework.jar
set FUNAMBOL_LIB=%FUNAMBOL_LIB%;%SECC_HOME%\lib\funambol-server.jar


set BEEP_LIB=%SECC_HOME%\lib\beepcore.jar
set BEEP_LIB=%BEEP_LIB%;%SECC_HOME%\lib\concurrent.jar
set BEEP_LIB=%BEEP_LIB%;%SECC_HOME%\lib\beepsasl.jar
set BEEP_LIB=%BEEP_LIB%;%SECC_HOME%\lib\beeptls-jsse.jar
set BEEP_LIB=%BEEP_LIB%;%SECC_HOME%\lib\beeptls-ptls.jar
set BEEP_LIB=%BEEP_LIB%;%SECC_HOME%\lib\cryptix32.jar
set BEEP_LIB=%BEEP_LIB%;%SECC_HOME%\lib\cryptix-asn1.jar
set BEEP_LIB=%BEEP_LIB%;%SECC_HOME%\lib\puretls.jar
set BEEP_LIB=%BEEP_LIB%;%SECC_HOME%\lib\commons-logging.jar

set SECC_JAR=%SECC_HOME%\lib\funambol-secc-3.0.5.jar

set CLASSPATH="%FUNAMBOL_LIB%;%BEEP_LIB%;%SECC_JAR%"

rem run SECC
rem ---------

call %JAVA_EXEC% %JAVA_OPTS% -classpath %CLASSPATH% com.funambol.enterprise.secc.eishost.EishStarter

